roarmonhttp(1)

NAME

roarmonhttp - CGI and inetd based streaming server emulation for RoarAudio

SYNOPSIS

roarmonhttp [--inetd]

DESCRIPTION

This program emulates a streaming server using RoarAudio. It can be run from via a webserver as CGI or via inetd in inetd mode. IN CGI mode it is limited to client (listener) HTTP connections. In inetd mode it can handle source clients and gopher, too. There is no need for a specal port for gopher. The protocol is detected per client at runtime.

OPTIONS

--inetd
    Enables inetd mode.

--server SERVER
    Set Server to connect to. This may be usfull in inetd mode.

--rate, --bits, --channels, --codec
    Sets the default rate, bits, channels or codec. Those option taking a argument for the given option. Codec names may be used.

--rel-id SID
    Set the stream ID for the stream this stream is relative to.

--help
    Show a brief help.

EXAMPLES
Here is an example of a roarmonhttp listening on port 8000 using inetd:
 8000 stream tcp nowait roard /usr/bin/roarmonhttp roarmonhttp --inetd

SEE ALSO
inetd(8), inetd.conf(5), roartips(7), libroar(7), RoarAudio(7).

HISTORY

For history information see RoarAudio(7).